BasePage (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.pages.BasePage class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.pages
Class BasePage

    java.lang.Object
      org.apache.hivemind.impl.BaseLocatable
          org.apache.tapestry.AbstractComponent
              org.apache.tapestry.BaseComponent
                  org.apache.tapestry.AbstractPage
                      org.apache.tapestry.html.BasePage
                          org.hyperic.hq.ui.pages.BasePage

All Implemented Interfaces:
  java.util.EventListener, org.apache.hivemind.Locatable, org.apache.hivemind.LocationHolder, org.apache.tapestry.event.PageBeginRenderListener, org.apache.tapestry.IComponent, org.apache.tapestry.IDirectEvent, org.apache.tapestry.internal.Component, org.apache.tapestry.IPage, org.apache.tapestry.IRender, org.apache.tapestry.ITemplateComponent

Direct Known Subclasses:
  ComponentListing, Error, Exception, MenuPage

    public abstract class BasePage

extends org.apache.tapestry.html.BasePage
implements org.apache.tapestry.event.PageBeginRenderListener

Base Hyperic Tapestry page class. Has common service injections and struts page definitions.

Field Summary

Fields inherited from class org.apache.tapestry.AbstractComponent
`_body, _bodyCount`

Constructor Summary
`BasePage()`

Method Summary
`abstract BaseSessionBean` | `getBaseSessionBean()`
`abstract org.apache.tapestry.link.GenericLink` | `getDashboardLink()` Use this link to refer to the Struts Dashobard page.
`abstract org.apache.tapestry.link.GenericLink` | `getRegistrationLink()`
`abstract javax.servlet.http.HttpServletRequest` | `getRequest()`
`abstract org.apache.tapestry.link.GenericLink` | `getResourceLink()`
`abstract javax.servlet.ServletContext` | `getServletContext()`
`void` | `pageBeginRender(org.apache.tapestry.event.PageEvent evt)`

Methods inherited from class org.apache.tapestry.html.BasePage
`getResponseContentType`

Methods inherited from class org.apache.tapestry.AbstractPage
`addPageAttachListener, addPageBeginRenderListener, addPageDetachListener, addPageEndRenderListener, addPageValidateListener, attach, beginPageRender, cleanupAfterRender, detach, endPageRender, firePageAttached, firePageBeginRender, firePageDetached, firePageEndRender, firePageValidate, getChangeObserver, getEngine, getExtendedId, getIdPath, getLocale, getNestedComponent, getOutputEncoding, getPageName, getRequestCycle, hasFormComponents, hasWidgets, removePageAttachListener, removePageBeginRenderListener, removePageDetachListener, removePageEndRenderListener, removePageValidateListener, renderPage, setChangeObserver, setHasFormComponents, setHasWidgets, setLocale, setPageName, validate`

Methods inherited from class org.apache.tapestry.BaseComponent
`addOuter, finishLoad, getContainedRenderers, getInnerRenderers, renderComponent`

Methods inherited from class org.apache.tapestry.AbstractComponent
`addAsset, addBody, addComponent, checkActiveLock, enterActiveState, equals, finishLoad, generateClientId, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getBody, getBodyCount, getBoundId, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getId, getListeners, getMessages, getNamespace, getPage, getRenderWorker, getSpecification, getSpecifiedId, getTemplateTagName, hasEvents, hashCode, isInActiveState, isParameterBound, isRendering, isStateful, pageEndRender, peekClientId, prepareForRender, render, renderBody, renderIdAttribute, renderInformalParameters, setBinding, setClientId, setContainedComponent, setContainer, setHasEvents, setId, setNamespace, setPage, setTemplateTagName, toString, triggerEvent`

Methods inherited from class org.apache.hivemind.impl.BaseLocatable
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.tapestry.IPage
`getPropertyChangeObserver`

Methods inherited from interface org.apache.tapestry.IComponent
`addAsset, addBody, addComponent, enterActiveState, finishLoad, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getId, getListeners, getMessages, getNamespace, getPage, getSpecification, getSpecifiedId, getTemplateTagName, isRendering, peekClientId, renderBody, setBinding, setClientId, setContainedComponent, setContainer, setId, setNamespace, setPage, setTemplateTagName`

Methods inherited from interface org.apache.tapestry.IRender
`render`

Methods inherited from interface org.apache.hivemind.LocationHolder
`setLocation`

Methods inherited from interface org.apache.hivemind.Locatable
`getLocation`

Constructor Detail

### BasePage

    public BasePage()

Method Detail

### getBaseSessionBean

    @InjectState(value="BaseSessionBean")
    public abstract BaseSessionBean getBaseSessionBean()

### getDashboardLink

    @Component(type="GenericLink",
               bindings="href=\'Dashobard.do\'")
    public abstract org.apache.tapestry.link.GenericLink getDashboardLink()

  Use this link to refer to the Struts Dashobard page.

  Returns:
    a link to the Dashboard page

### getResourceLink

    @Component(type="GenericLink",
               bindings="href=\'Resource.do\'")
    public abstract org.apache.tapestry.link.GenericLink getResourceLink()

### getRegistrationLink

    @Component(type="GenericLink",
               bindings="href=\'admin/user/UserAdmin.do?mode=register\'")
    public abstract org.apache.tapestry.link.GenericLink getRegistrationLink()

### getServletContext

    @InjectObject(value="service:tapestry.globals.ServletContext")
    public abstract javax.servlet.ServletContext getServletContext()

### getRequest

    @InjectObject(value="service:tapestry.globals.HttpServletRequest")
    public abstract javax.servlet.http.HttpServletRequest getRequest()

### pageBeginRender

    public void pageBeginRender(org.apache.tapestry.event.PageEvent evt)

  Specified by:
    `pageBeginRender` in interface `org.apache.tapestry.event.PageBeginRenderListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.